Bug 131232 - iiimf-le-xcin cannot handle lib64
Summary: iiimf-le-xcin cannot handle lib64
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: iiimf-le-xcin
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Leon Ho
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: FC3Target IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-08-30 09:40 UTC by Warren Togami
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2004-08-31 01:19:47 UTC


Attachments (Terms of Use)

Description Warren Togami 2004-08-30 09:40:07 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040808 Firefox/0.9.3

Description of problem:
iiimf-le-xcin-0.1.7-3 (in CVS) fails to build after /usr/lib was
replaced with proper %{_libdir} macros because the source does not
know how to handle lib64.  With the earlier /usr/lib hard coded, I
suspect it was incorrectly putting 64bit binaries into the 32bit
/usr/lib, which is wrong.

Version-Release number of selected component (if applicable):
iiimf-le-xcin-0.1.7-3 (CVS)

Comment 1 Leon Ho 2004-08-31 01:19:47 UTC
Main problem was the the $IMDIR in im-sdk macro are hardcoded in
/usr/lib/im. Fixed by using the searah and replace script in im-sdk
spec. Also generalized one automake file as well. Fixed on 0.1.7-4.
Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.